Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1321)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -167,6 +168,6 @@
 !--       Calculate the radius class bounds with logarithmic distances
 !--       in the interval [1.0E-6, 2.0E-4] m
-          rclass_lbound = LOG( 1.0E-6 )
-          rclass_ubound = LOG( 2.0E-4 )
+          rclass_lbound = LOG( 1.0E-6_wp )
+          rclass_ubound = LOG( 2.0E-4_wp )
           radclass(1)   = 1.0E-6
           DO  i = 2, radius_classes
@@ -182,5 +183,5 @@
 !--       Set the class bounds for dissipation in interval [0.0, 0.1] m**2/s**3
           DO  i = 1, dissipation_classes
-             epsclass(i) = 0.1 * REAL( i ) / dissipation_classes
+             epsclass(i) = 0.1 * REAL( i, KIND=wp ) / dissipation_classes
 !             IF ( myid == 0 )  THEN
 !                PRINT*, 'i=', i, ' eps = ', epsclass(i)
@@ -197,5 +198,5 @@
 
              epsilon = epsclass(k)
-             urms    = 2.02 * ( epsilon / 0.04 )**( 1.0 / 3.0 )
+             urms    = 2.02 * ( epsilon / 0.04_wp )**( 1.0_wp / 3.0_wp )
 
              CALL turbsd
@@ -313,5 +314,5 @@
           epsilon = 0.0
        ENDIF
-       urms    = 2.02 * ( epsilon / 0.04 )**( 0.33333333333 )
+       urms    = 2.02 * ( epsilon / 0.04_wp )**( 0.33333333333_wp )
 
        IF ( wang_kernel  .AND.  epsilon > 1.0E-7 )  THEN
@@ -431,14 +432,14 @@
        ENDIF
 
-       lambda    = urms * SQRT( 15.0 * molecular_viscosity / epsilon )    ! in m
-       lambda_re = urms**2 * SQRT( 15.0 / epsilon / molecular_viscosity )
+       lambda    = urms * SQRT( 15.0_wp * molecular_viscosity / epsilon ) ! in m
+       lambda_re = urms**2 * SQRT( 15.0_wp / epsilon / molecular_viscosity )
        tl        = urms**2 / epsilon                       ! in s
        lf        = 0.5 * urms**3 / epsilon                 ! in m
        tauk      = SQRT( molecular_viscosity / epsilon )                  ! in s
-       eta       = ( molecular_viscosity**3 / epsilon )**0.25             ! in m
+       eta       = ( molecular_viscosity**3 / epsilon )**0.25_wp          ! in m
        vk        = eta / tauk
 
        ao = ( 11.0 + 7.0 * lambda_re ) / ( 205.0 + lambda_re )
-       tt = SQRT( 2.0 * lambda_re / ( SQRT( 15.0 ) * ao ) ) * tauk   ! in s
+       tt = SQRT( 2.0 * lambda_re / ( SQRT( 15.0_wp ) * ao ) ) * tauk   ! in s
 
        CALL fallg    ! gives winf in m/s
@@ -452,5 +453,5 @@
 !--    Calculate wr (from Aayala 2008b, page 38f)
        z   = tt / tl
-       be  = SQRT( 2.0 ) * lambda / lf
+       be  = SQRT( 2.0_wp ) * lambda / lf
        bbb = SQRT( 1.0 - 2.0 * be**2 )
        d1  = ( 1.0 + bbb ) / ( 2.0 * bbb )
@@ -504,6 +505,6 @@
              wrtur2xy = vrms1xy**2 + vrms2xy**2 - 2.0 * v1v2xy   ! in m**2/s**2
              IF ( wrtur2xy < 0.0 )  wrtur2xy = 0.0
-             wrgrav2  = pi / 8.0 * ( winf(j) - winf(i) )**2
-             wrfin    = SQRT( ( 2.0 / pi ) * ( wrtur2xy + wrgrav2) )   ! in m/s
+             wrgrav2  = pi / 8.0_wp * ( winf(j) - winf(i) )**2
+             wrfin    = SQRT( ( 2.0_wp / pi ) * ( wrtur2xy + wrgrav2) ) ! in m/s
 
 !
@@ -518,9 +519,9 @@
                    5.3406 * sst
              IF ( xx < 0.0 )  xx = 0.0
-             yy = 0.1886 * EXP( 20.306 / lambda_re )
+             yy = 0.1886 * EXP( 20.306_wp / lambda_re )
 
              c1_gr  =  xx / ( g / vk * tauk )**yy
 
-             ao_gr  = ao + ( pi / 8.0) * ( g / vk * tauk )**2
+             ao_gr  = ao + ( pi / 8.0_wp) * ( g / vk * tauk )**2
              fao_gr = 20.115 * SQRT( ao_gr / lambda_re )
              rc     = SQRT( fao_gr * ABS( st(j) - st(i) ) ) * eta   ! in cm
@@ -652,5 +653,5 @@
           stb   = 32.0 * rho_a * ( rho_l - rho_a) * g / (3.0 * eta * eta)
           phy   = sigma**3 * rho_a**2 / ( eta**4 * g * ( rho_l - rho_a ) )
-          py    = phy**( 1.0 / 6.0 )
+          py    = phy**( 1.0_wp / 6.0_wp )
 
        ENDIF
@@ -685,5 +686,5 @@
              ENDIF
 
-             x = LOG( 16.0 * bond * py / 3.0 )
+             x = LOG( 16.0 * bond * py / 3.0_wp )
              y = 0.0
 
@@ -695,5 +696,5 @@
 
              IF ( radclass(j) > 0.0035 )  THEN
-                winf(j) = xrey * eta / ( 2.0 * rho_a * 0.0035 )
+                winf(j) = xrey * eta / ( 2.0 * rho_a * 0.0035_wp )
              ELSE
                 winf(j) = xrey * eta / ( 2.0 * rho_a * radclass(j) )
@@ -799,5 +800,5 @@
        ALLOCATE( ira(1:radius_classes) )
        DO  j = 1, radius_classes
-          particle_radius = radclass(j) * 1.0E6
+          particle_radius = radclass(j) * 1.0E6_wp
           DO  k = 1, 15
              IF ( particle_radius < r0(k) )  THEN
@@ -822,5 +823,5 @@
              IF ( ir < 16 )  THEN
                 IF ( ir >= 2 )  THEN
-                   pp = ( ( radclass(j) * 1.0E06 ) - r0(ir-1) ) / &
+                   pp = ( ( radclass(j) * 1.0E06_wp ) - r0(ir-1) ) / &
                         ( r0(ir) - r0(ir-1) )
                    qq = ( rq- rat(iq-1) ) / ( rat(iq) - rat(iq-1) )
@@ -930,5 +931,5 @@
 
        DO  j = 1, radius_classes
-          particle_radius = radclass(j) * 1.0E6
+          particle_radius = radclass(j) * 1.0E6_wp
           DO  k = 1, 7
              IF ( particle_radius < r0(k) )  THEN
@@ -1039,6 +1040,6 @@
        REAL(wp), DIMENSION(1:9,1:19), SAVE ::  ef = 0.0          !:
 
-       mean_rm = mean_r * 1.0E06
-       rm      = r      * 1.0E06
+       mean_rm = mean_r * 1.0E06_wp
+       rm      = r      * 1.0E06_wp
 
        IF ( first )  THEN
Index: /palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1321)
+++ /palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -207,5 +207,5 @@
 !--                Determine dissipation class index of this gridbox
                    IF ( wang_kernel )  THEN
-                      eclass = INT( diss(k,j,i) * 1.0E4 / 1000.0 * &
+                      eclass = INT( diss(k,j,i) * 1.0E4_wp / 1000.0_wp * &
                                     dissipation_classes ) + 1
                       epsilon = diss(k,j,i)
@@ -213,5 +213,5 @@
                       epsilon = 0.0
                    ENDIF
-                   IF ( hall_kernel .OR. epsilon * 1.0E4 < 0.001 )  THEN
+                   IF ( hall_kernel .OR. epsilon * 1.0E4_wp < 0.001 )  THEN
                       eclass = 0   ! Hall kernel is used
                    ELSE
@@ -270,5 +270,5 @@
 !--                   Change of the current droplet radius
                       rad(n-is+1) = ( (r3 + dt_3d * ddV * (sum1 - sum2 * r3) )/&
-                                       sum3 )**0.33333333333333
+                                       sum3 )**0.33333333333333_wp
 
                       IF ( weight(n-is+1) < 0.0 )  THEN
@@ -347,5 +347,5 @@
 !--                   Change of the current droplet radius
                       rad(n-is+1) = ( (r3 + dt_3d * ddV * (sum1 - sum2 * r3) )/&
-                                       sum3 )**0.33333333333333
+                                       sum3 )**0.33333333333333_wp
 
                       IF ( weight(n-is+1) < 0.0 )  THEN
@@ -534,5 +534,5 @@
 !
 !--                   Change in radius due to collision
-                      delta_r = effective_coll_efficiency / 3.0             &
+                      delta_r = effective_coll_efficiency / 3.0_wp          &
                                 * pi * sl_r3 * ddx * ddy / dz               &
                                 * SQRT( ( u_int - particles(n)%speed_x )**2 &
@@ -551,6 +551,6 @@
                       IF ( delta_v >= sl_r3  .AND.  sl_r3 > 0.0 )  THEN
 
-                         delta_r = ( ( sl_r3/particles(n)%weight_factor )   &
-                                     + particles(n)%radius**3 )**( 1./3. )  &
+                         delta_r = ( ( sl_r3/particles(n)%weight_factor )           &
+                                     + particles(n)%radius**3 )**( 1.0_wp/3.0_wp )  &
                                      - particles(n)%radius
 
@@ -612,5 +612,5 @@
 
                    IF ( wang_kernel )  THEN
-                      eclass = INT( diss(k,j,i) * 1.0E4 / 1000.0 * &
+                      eclass = INT( diss(k,j,i) * 1.0E4_wp / 1000.0_wp * &
                                     dissipation_classes ) + 1
                       epsilon = diss(k,j,i)
@@ -618,5 +618,5 @@
                       epsilon = 0.0
                    ENDIF
-                   IF ( hall_kernel .OR. epsilon * 1.0E4 < 0.001 )  THEN
+                   IF ( hall_kernel .OR. epsilon * 1.0E4_wp < 0.001 )  THEN
                       eclass = 0   ! Hall kernel is used
                    ELSE
@@ -631,5 +631,5 @@
 
                    particles(psi)%radius = ( particles(psi)%radius**3 / &
-                                             sum3 )**0.33333333333333
+                                             sum3 )**0.33333333333333_wp
                    particles(psi)%weight_factor = particles(psi)%weight_factor &
                                                   * sum3
@@ -652,5 +652,5 @@
 
                    particles(psi)%radius = ( particles(psi)%radius**3 / &
-                                             sum3 )**0.33333333333333
+                                             sum3 )**0.33333333333333_wp
                    particles(psi)%weight_factor = particles(psi)%weight_factor &
                                                   * sum3
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1321)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -153,27 +153,27 @@
  
 !-- Parameters for Rosenbrock method
-    REAL(wp), PARAMETER ::  a21 = 2.0          !:
-    REAL(wp), PARAMETER ::  a31 = 48.0/25.0    !:
-    REAL(wp), PARAMETER ::  a32 = 6.0/25.0     !:
-    REAL(wp), PARAMETER ::  b1 = 19.0/9.0      !:
-    REAL(wp), PARAMETER ::  b2 = 0.5           !:
-    REAL(wp), PARAMETER ::  b3 = 25.0/108.0    !:
-    REAL(wp), PARAMETER ::  b4 = 125.0/108.0   !:
-    REAL(wp), PARAMETER ::  c21 = -8.0         !:
-    REAL(wp), PARAMETER ::  c31 = 372.0/25.0   !:
-    REAL(wp), PARAMETER ::  c32 = 12.0/5.0     !:
-    REAL(wp), PARAMETER ::  c41 = -112.0/125.0 !:
-    REAL(wp), PARAMETER ::  c42 = -54.0/125.0  !:
-    REAL(wp), PARAMETER ::  c43 = -2.0/5.0     !:
-    REAL(wp), PARAMETER ::  errcon = 0.1296    !:
-    REAL(wp), PARAMETER ::  e1 = 17.0/54.0     !:
-    REAL(wp), PARAMETER ::  e2 = 7.0/36.0      !:
-    REAL(wp), PARAMETER ::  e3 = 0.0           !:
-    REAL(wp), PARAMETER ::  e4 = 125.0/108.0   !:
-    REAL(wp), PARAMETER ::  gam = 0.5          !:
-    REAL(wp), PARAMETER ::  grow = 1.5         !:
-    REAL(wp), PARAMETER ::  pgrow = -0.25      !:
-    REAL(wp), PARAMETER ::  pshrnk = -1.0/3.0  !:
-    REAL(wp), PARAMETER ::  shrnk = 0.5        !:
+    REAL(wp), PARAMETER ::  a21 = 2.0             !:
+    REAL(wp), PARAMETER ::  a31 = 48.0/25.0_wp    !:
+    REAL(wp), PARAMETER ::  a32 = 6.0/25.0_wp     !:
+    REAL(wp), PARAMETER ::  b1 = 19.0/9.0_wp      !:
+    REAL(wp), PARAMETER ::  b2 = 0.5              !:
+    REAL(wp), PARAMETER ::  b3 = 25.0/108.0_wp    !:
+    REAL(wp), PARAMETER ::  b4 = 125.0/108.0_wp   !:
+    REAL(wp), PARAMETER ::  c21 = -8.0            !:
+    REAL(wp), PARAMETER ::  c31 = 372.0/25.0_wp   !:
+    REAL(wp), PARAMETER ::  c32 = 12.0/5.0_wp     !:
+    REAL(wp), PARAMETER ::  c41 = -112.0/125.0_wp !:
+    REAL(wp), PARAMETER ::  c42 = -54.0/125.0_wp  !:
+    REAL(wp), PARAMETER ::  c43 = -2.0/5.0_wp     !:
+    REAL(wp), PARAMETER ::  errcon = 0.1296       !:
+    REAL(wp), PARAMETER ::  e1 = 17.0/54.0_wp     !:
+    REAL(wp), PARAMETER ::  e2 = 7.0/36.0_wp      !:
+    REAL(wp), PARAMETER ::  e3 = 0.0              !:
+    REAL(wp), PARAMETER ::  e4 = 125.0/108.0_wp   !:
+    REAL(wp), PARAMETER ::  gam = 0.5             !:
+    REAL(wp), PARAMETER ::  grow = 1.5            !:
+    REAL(wp), PARAMETER ::  pgrow = -0.25         !:
+    REAL(wp), PARAMETER ::  pshrnk = -1.0/3.0_wp  !:
+    REAL(wp), PARAMETER ::  shrnk = 0.5           !:
 
 
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 1321)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL functions provided with KIND-attribute
 !
 ! Former revisions:
@@ -252,5 +252,5 @@
 !
 !--    Calculate vertical depth of the sublayers
-       height_int  = ( z_p - z0_av_global ) / REAL( number_of_sublayers ) 
+       height_int  = ( z_p - z0_av_global ) / REAL( number_of_sublayers, KIND=wp )
 !
 !--    Precalculate LOG(z/z0)
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1321)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -522,5 +522,5 @@
 !
 !--             Weight averaged radius of cloud droplets:
-                rc = 0.5 * ( xc * dpirho_l )**( 1.0 / 3.0 )
+                rc = 0.5 * ( xc * dpirho_l )**( 1.0 / 3.0_wp )
 
                 alpha_cc = ( a_1 + a_2 * nu_c ) / ( 1.0 + a_3 * nu_c )
@@ -529,5 +529,5 @@
 !
 !--             Mixing length (neglecting distance to ground and stratification)
-                l_mix = ( dx * dy * dzu(k) )**( 1.0 / 3.0 )
+                l_mix = ( dx * dy * dzu(k) )**( 1.0 / 3.0_wp )
 !
 !--             Limit dissipation rate according to Seifert, Nuijens and 
@@ -536,6 +536,6 @@
 !
 !--             Compute Taylor-microscale Reynolds number:
-                re_lambda = 6.0 / 11.0 * ( l_mix / c_const )**( 2.0 / 3.0 ) *  &
-                            SQRT( 15.0 / kin_vis_air ) * epsilon**( 1.0 / 6.0 )
+                re_lambda = 6.0 / 11.0 * ( l_mix / c_const )**( 2.0 / 3.0_wp ) *  &
+                            SQRT( 15.0 / kin_vis_air ) * epsilon**( 1.0 / 6.0_wp )
 !
 !--             The factor of 1.0E4 is needed to convert the dissipation rate
@@ -664,5 +664,5 @@
 !
 !--          Weight averaged diameter of rain drops:
-             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0 / 3.0 )
+             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0 / 3.0_wp )
 !
 !--          Collisional breakup rate (Seifert, 2008):
@@ -760,5 +760,5 @@
 !
 !--          Weight averaged diameter of rain drops:
-             dr = ( xr * dpirho_l )**( 1.0 / 3.0 )
+             dr = ( xr * dpirho_l )**( 1.0 / 3.0_wp )
 !
 !--          Compute ventilation factor and intercept parameter 
@@ -772,5 +772,5 @@
 !--             Slope parameter of gamma distribution (Seifert, 2008):
                 lambda_r = ( ( mu_r + 3.0 ) * ( mu_r + 2.0 ) *       &
-                             ( mu_r + 1.0 ) )**( 1.0 / 3.0 ) / dr
+                             ( mu_r + 1.0 ) )**( 1.0 / 3.0_wp ) / dr
 
                 mu_r_2   = mu_r + 2.0
@@ -849,5 +849,5 @@
 !
 !--    Sedimentation of cloud droplets (Heus et al., 2010):
-       sed_qc_const = k_st * ( 3.0 / ( 4.0 * pi * rho_l ))**( 2.0 / 3.0 ) *   &
+       sed_qc_const = k_st * ( 3.0 / ( 4.0 * pi * rho_l ))**( 2.0 / 3.0_wp ) *   &
                      EXP( 5.0 * LOG( sigma_gc )**2 )
 
@@ -856,6 +856,6 @@
        DO  k = nzt, nzb_s_inner(j,i)+1, -1
           IF ( qc_1d(k) > eps_sb )  THEN
-             sed_qc(k) = sed_qc_const * nc_1d(k)**( -2.0 / 3.0 ) * &
-                        ( qc_1d(k) * hyrho(k) )**( 5.0 / 3.0 )
+             sed_qc(k) = sed_qc_const * nc_1d(k)**( -2.0 / 3.0_wp ) * &
+                        ( qc_1d(k) * hyrho(k) )**( 5.0 / 3.0_wp )
           ELSE
              sed_qc(k) = 0.0
@@ -940,5 +940,5 @@
 !
 !--          Weight averaged diameter of rain drops:
-             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0 / 3.0 )
+             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0 / 3.0_wp )
 !
 !--          Shape parameter of gamma distribution (Milbrandt and Yau, 2005;
@@ -948,5 +948,5 @@
 !--          Slope parameter of gamma distribution (Seifert, 2008):
              lambda_r = ( ( mu_r + 3.0 ) * ( mu_r + 2.0 ) *          &
-                        ( mu_r + 1.0 ) )**( 1.0 / 3.0 ) / dr
+                        ( mu_r + 1.0 ) )**( 1.0 / 3.0_wp ) / dr
 
              w_nr(k) = MAX( 0.1, MIN( 20.0, a_term - b_term * ( 1.0 +          &
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1321)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1322)
@@ -23,5 +23,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Forgotten ONLY-attribute added to USE-statements
 !
 ! Former revisions:
@@ -4924,7 +4924,11 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
+    USE control_parameters,                                                    &
+        ONLY:  netcdf_data_format
+
     USE netcdf
+
     USE netcdf_control
+
     USE pegrid
 
@@ -4962,7 +4966,11 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
+    USE control_parameters,                                                    &
+        ONLY:  message_string
+
     USE netcdf
+
     USE netcdf_control
+
     USE pegrid
 
Index: /palm/trunk/SOURCE/poismg.f90
===================================================================
--- /palm/trunk/SOURCE/poismg.f90	(revision 1321)
+++ /palm/trunk/SOURCE/poismg.f90	(revision 1322)
@@ -23,5 +23,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -505,5 +505,5 @@
                                         ( r(k,j,i) - r(k-1,j+1,i+1) )
 
-             f_mg(kc,jc,ic) = 1.0 / 64.0 * (                            &
+             f_mg(kc,jc,ic) = 1.0 / 64.0_wp * (                         &
                               8.0 * r(k,j,i)                            &
                             + 4.0 * ( rkjim   + rkjip   +               &
@@ -521,7 +521,7 @@
                             +       ( r(k+1,j-1,i-1) + r(k+1,j+1,i-1) + &
                                       r(k+1,j-1,i+1) + r(k+1,j+1,i+1) ) &
-                                           ) 
-
-!             f_mg(kc,jc,ic) = 1.0 / 64.0 * (                            &
+                                              )
+
+!             f_mg(kc,jc,ic) = 1.0 / 64.0_wp * (                         &
 !                              8.0 * r(k,j,i)                            &
 !                            + 4.0 * ( r(k,j,i-1)     + r(k,j,i+1)     + &
@@ -539,5 +539,5 @@
 !                            +       ( r(k+1,j-1,i-1) + r(k+1,j+1,i-1) + &
 !                                      r(k+1,j-1,i+1) + r(k+1,j+1,i+1) ) &
-!                                           ) 
+!                                              )
           ENDDO
        ENDDO
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1321)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL functions provided with KIND-attribute
 !
 ! Former revisions:
@@ -906,5 +906,5 @@
 !-- Calculate the temporal average of vertical profiles, if neccessary
     IF ( average_count_pr /= 0 )  THEN
-       hom_sum = hom_sum / REAL( average_count_pr )
+       hom_sum = hom_sum / REAL( average_count_pr, KIND=wp )
     ENDIF
 
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 1321)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants defined as wp-kind
 ! 
 ! Former revisions:
@@ -386,5 +386,5 @@
 !--       * latent heat of vaporization in m2/s2, or 540 cal/g, or 40.65 kJ/mol
 !--       /(rho_atm(=1.0)*c_p)
-          tswst = tswst + qswst_remote * 2.2626108E6 / 1005.0
+          tswst = tswst + qswst_remote * 2.2626108E6_wp / 1005.0_wp
 !
 !--        ...and convert it to a salinity flux at the sea surface (top)
@@ -399,5 +399,5 @@
 !--    (constants are the specific heat capacities for air and water)
 !--    now tswst is the ocean top heat flux
-       tswst = tswst / rho(nzt,:,:) * 1005.0 / 4218.0
+       tswst = tswst / rho(nzt,:,:) * 1005.0_wp / 4218.0_wp
 
 !
Index: /palm/trunk/SOURCE/temperton_fft.f90
===================================================================
--- /palm/trunk/SOURCE/temperton_fft.f90	(revision 1321)
+++ /palm/trunk/SOURCE/temperton_fft.f90	(revision 1322)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants defined as wp-kind
 ! 
 ! Former revisions:
@@ -1174,5 +1174,5 @@
     je = jd + 2*m*inc2
     z = 1.0_wp/REAL(n)
-    zsin45 = z*SQRT(0.5)
+    zsin45 = z*SQRT(0.5_wp)
 
     DO l = 1, la
@@ -1628,5 +1628,5 @@
 80  CONTINUE
     ibase = 0
-    sin45 = SQRT(0.5)
+    sin45 = SQRT(0.5_wp)
     DO l = 1, la
        i = ibase
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1321)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL functions provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -156,6 +156,6 @@
              v_gtrans = v_gtrans + hom(k,1,2,0)
           ENDDO
-          u_gtrans = u_gtrans / REAL( nzt - nzb )
-          v_gtrans = v_gtrans / REAL( nzt - nzb )
+          u_gtrans = u_gtrans / REAL( nzt - nzb, KIND=wp )
+          v_gtrans = v_gtrans / REAL( nzt - nzb, KIND=wp )
        ELSE
 !
@@ -173,12 +173,12 @@
           ENDDO
           !$acc end parallel
-          uv_gtrans_l(1) = u_gtrans_l / REAL( (nxr-nxl+1)*(nyn-nys+1)*(nzt-nzb) )
-          uv_gtrans_l(2) = v_gtrans_l / REAL( (nxr-nxl+1)*(nyn-nys+1)*(nzt-nzb) )
+          uv_gtrans_l(1) = u_gtrans_l / REAL( (nxr-nxl+1)*(nyn-nys+1)*(nzt-nzb), KIND=wp )
+          uv_gtrans_l(2) = v_gtrans_l / REAL( (nxr-nxl+1)*(nyn-nys+1)*(nzt-nzb), KIND=wp )
 #if defined( __parallel )
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
           CALL MPI_ALLREDUCE( uv_gtrans_l, uv_gtrans, 2, MPI_REAL, MPI_SUM, &
                               comm2d, ierr )
-          u_gtrans = uv_gtrans(1) / REAL( numprocs )
-          v_gtrans = uv_gtrans(2) / REAL( numprocs )
+          u_gtrans = uv_gtrans(1) / REAL( numprocs, KIND=wp )
+          v_gtrans = uv_gtrans(2) / REAL( numprocs, KIND=wp )
 #else
           u_gtrans = uv_gtrans_l(1)
Index: /palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1321)
+++ /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants defined as wp-kind
 ! 
 ! Former revisions:
@@ -48,4 +48,6 @@
         ONLY:  intermediate_timestep_count, timestep_scheme, tsc
 
+    USE kinds
+
     IMPLICIT NONE
 
@@ -57,15 +59,15 @@
        IF ( timestep_scheme == 'runge-kutta-2' )  THEN
           IF ( intermediate_timestep_count == 1 )  THEN
-             tsc(1:5) = (/ 1.0, 1.0,  0.0, 0.0, 0.0 /)
+             tsc(1:5) = (/ 1.0_wp, 1.0_wp,  0.0_wp, 0.0_wp, 0.0_wp /)
           ELSE
-             tsc(1:5) = (/ 1.0, 0.5, -0.5, 0.0, 1.0 /)
+             tsc(1:5) = (/ 1.0_wp, 0.5_wp, -0.5_wp, 0.0_wp, 1.0_wp /)
           ENDIF
        ELSE
           IF ( intermediate_timestep_count == 1 )  THEN
-             tsc(1:5) = (/ 1.0,   1.0/3.0,        0.0, 0.0, 0.0 /)
+             tsc(1:5) = (/ 1.0_wp,  1.0_wp /  3.0_wp,           0.0_wp, 0.0_wp, 0.0_wp /)
           ELSEIF ( intermediate_timestep_count == 2 )  THEN
-             tsc(1:5) = (/ 1.0, 15.0/16.0, -25.0/48.0, 0.0, 0.0 /)
+             tsc(1:5) = (/ 1.0_wp, 15.0_wp / 16.0_wp, -25.0_wp/48.0_wp, 0.0_wp, 0.0_wp /)
           ELSE
-             tsc(1:5) = (/ 1.0,  8.0/15.0,   1.0/15.0, 0.0, 1.0 /)
+             tsc(1:5) = (/ 1.0_wp,  8.0_wp / 15.0_wp,   1.0_wp/15.0_wp, 0.0_wp, 1.0_wp /)
           ENDIF          
        ENDIF
@@ -74,5 +76,5 @@
 !
 !--    Euler scheme
-       tsc(1:5) = (/ 1.0, 1.0, 0.0, 0.0, 1.0 /)
+       tsc(1:5) = (/ 1.0_wp, 1.0_wp, 0.0_wp, 0.0_wp, 1.0_wp /)
 
     ENDIF
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1321)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL functions provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -170,24 +170,24 @@
                    IF ( i >= 0  .AND.  i <= nnxh )  THEN
                       ll(i,j) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / &
-                                                  REAL( nx+1 ) ) ) / ( dx * dx ) + &
+                                                  REAL( nx+1, KIND=wp ) ) ) / ( dx * dx ) + &
                                 2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                                  REAL( ny+1 ) ) ) / ( dy * dy )
+                                                  REAL( ny+1, KIND=wp ) ) ) / ( dy * dy )
                    ELSE
                       ll(i,j) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                                  REAL( nx+1 ) ) ) / ( dx * dx ) + &
+                                                  REAL( nx+1, KIND=wp ) ) ) / ( dx * dx ) + &
                                 2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                                  REAL( ny+1 ) ) ) / ( dy * dy )
+                                                  REAL( ny+1, KIND=wp ) ) ) / ( dy * dy )
                    ENDIF
                 ELSE
                    IF ( i >= 0  .AND.  i <= nnxh )  THEN
                       ll(i,j) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / &
-                                                  REAL( nx+1 ) ) ) / ( dx * dx ) + &
+                                                  REAL( nx+1, KIND=wp ) ) ) / ( dx * dx ) + &
                                 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( ny+1-j ) ) / &
-                                                  REAL( ny+1 ) ) ) / ( dy * dy )
+                                                  REAL( ny+1, KIND=wp ) ) ) / ( dy * dy )
                    ELSE
                       ll(i,j) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                                  REAL( nx+1 ) ) ) / ( dx * dx ) + &
+                                                  REAL( nx+1, KIND=wp ) ) ) / ( dx * dx ) + &
                                 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( ny+1-j ) ) / &
-                                                  REAL( ny+1 ) ) ) / ( dy * dy )
+                                                  REAL( ny+1, KIND=wp ) ) ) / ( dy * dy )
                    ENDIF
                 ENDIF
@@ -558,12 +558,12 @@
              IF ( i >= 0 .AND. i <= nnxh ) THEN
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / &
-                                         REAL( nx+1 ) ) ) * ddx2 + &
+                                         REAL( nx+1, KIND=wp ) ) ) * ddx2 + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                         REAL( ny+1 ) ) ) * ddy2
+                                         REAL( ny+1, KIND=wp ) ) ) * ddy2
              ELSE
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                         REAL( nx+1 ) ) ) * ddx2 + &
+                                         REAL( nx+1, KIND=wp ) ) ) * ddx2 + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                         REAL( ny+1 ) ) ) * ddy2
+                                         REAL( ny+1, KIND=wp ) ) ) * ddy2
              ENDIF
           ENDDO
Index: /palm/trunk/SOURCE/user_3d_data_averaging.f90
===================================================================
--- /palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 1321)
+++ /palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL functions provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -118,5 +118,5 @@
 !                DO  j = nysg, nyng
 !                   DO  k = nzb, nzt+1
-!                      u2_av(k,j,i) = u2_av(k,j,i) / REAL( average_count_3d )
+!                      u2_av(k,j,i) = u2_av(k,j,i) / REAL( average_count_3d, KIND=wp )
 !                   ENDDO
 !                ENDDO
